Sale-CardToken
POST
/sale-cardtokenSubmits a transaction request with merchant authentication, preferences, and AVS details.
Header Parameters
token*
stringBody Parameters
merchantAuthentication
merchantId*
stringtransactionReferenceId*
stringpreferences
eReceipt
booleancustomerName
stringcustomerEmail
stringcustomerMobile
stringrequestCardToken
booleantransactionRequest
amount*
stringtransactionType*
numbercardToken*
stringapplySteamSettingTipFeeTax
booleanPOST/sale-cardtoken
1curl --location 'https://payment.ipospays.tech/api/v3/iposTransact' \
2--header 'token: ' \
3--header 'Content-Type: application/json' \
4--data '{
5 "merchantAuthentication": {
6 "merchantId": "",
7 "transactionReferenceId": ""
8 },
9 "preferences": {
10 "eReceipt": false,
11 "customerName": "",
12 "customerEmail": "",
13 "customerMobile": "",
14 "requestCardToken": true
15 },
16 "transactionRequest": {
17 "amount": "",
18 "transactionType": 1,
19 "cardToken": "",
20 "applySteamSettingTipFeeTax": false
21 }
22}'
Response
// Awaiting response…
Sample response
{
"iposhpresponse": {
"responseCode": "200",
"responseMessage": "success",
"errResponseCode": "",
"errResponseMessage": "",
"transactionReferenceId": "",
"transactionType": "1",
"transactionId": "",
"amount": "",
"responseApprovalCode": "",
"rrn": "",
"transactionNumber": "",
"batchNumber": "",
"customFee": "",
"totalAmount": ""
}
}